## com.baidubce.services.moladb.model
Class UpdateTableRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.UpdateTableRequest

    public class UpdateTableRequest

extends AbstractBceRequest

Represents the input of a UpdateTable operation.

Constructor Summary
`UpdateTableRequest()` Constructs a new UpdateTableRequest object.
`UpdateTableRequest(String name)` Constructs a new UpdateTableRequest object.

Method Summary
`ProvisionedThroughput` `getProvisionedThroughput()` Get the ProvisionedThroughput object used to set provisioned throughput for updating table from this object.
`String` `getTableName()` Get the name of table from this object.
`void` `setProvisionedThroughput(ProvisionedThroughput provision)` Set provisioned throughput for updating table.
`void` `setTableName(String tableName)` Set the name of table for this object.
`String` `toString()` Return a string representation of request information.
`UpdateTableRequest` `withProvisionedThroughput(ProvisionedThroughput provision)` Set provisioned throughput for updating table.
`UpdateTableRequest` `withRequestCredentials(BceCredentials credentials)`
`UpdateTableRequest` `withTableName(String tableName)` Set the name of table for this object.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateTableRequest

    public UpdateTableRequest()

  Constructs a new UpdateTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### UpdateTableRequest

    public UpdateTableRequest(String name)

  Constructs a new UpdateTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of table to be updated.

Method Detail

### setTableName

    public void setTableName(String tableName)

  Set the name of table for this object.

  Parameters:
    `tableName` - The name of table set for this object.

### withTableName

    public UpdateTableRequest withTableName(String tableName)

  Set the name of table for this object.

  Parameters:
    `tableName` - The name of table set for this object.
  Returns:
    A reference to this object so that method calls can be chained together.

### getTableName

    public String getTableName()

  Get the name of table from this object.

  Returns:
    The name of table got from this object.

### setProvisionedThroughput

    public void setProvisionedThroughput(ProvisionedThroughput provision)

  Set provisioned throughput for updating table.

  Parameters:
    `provision` - The ProvisionedThroughput object used to set provisioned throughput for updating table.

### withProvisionedThroughput

    public UpdateTableRequest withProvisionedThroughput(ProvisionedThroughput provision)

  Set provisioned throughput for updating table.

  Parameters:
    `provision` - The ProvisionedThroughput object used to set provisioned throughput for updating table.
  Returns:
    A reference to this object so that method calls can be chained together.

### getProvisionedThroughput

    public ProvisionedThroughput getProvisionedThroughput()

  Get the ProvisionedThroughput object used to set provisioned throughput for updating table from this object.

  Returns:
    The ProvisionedThroughput object used to set provisioned throughput for updating table from this object.

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### withRequestCredentials

    public UpdateTableRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.